Create security assignments

post

/fscmRestApi/resources/11.13.18.05/contentZones/{contentZonesUniqID}/child/securityAssignments

Request

Path Parameters
  • This is the hash key of the attributes which make up the composite key for the Content Zones resource and used to uniquely identify an instance of Content Zones. The client should not generate the hash key value. Instead, the client should query on the Content Zones collection resource in order to navigate to a specific instance of Content Zones to get the hash key.
Header Parameters
  • This header accepts a string value. The string is a semi-colon separated list of =. It is used to perform effective date range operations. The accepted parameters are RangeMode, RangeSpan, RangeStartDate, RangeEndDate, RangeStartSequence and RangeEndSequence. The parameter values are always strings. The possible values for RangeMode are SET_LOGICAL_START, SET_LOGICAL_END, END_DATE, SET_EFFECTIVE_START, SET_EFFECTIVE_END, REPLACE_CORRECTION, REPLACE_UPDATE, RECONCILE_CORRECTION, CORRECTION, RECONCILE_UPDATE, UPDATE, ZAP and DELETE_CHANGES. The possible values for RangeSpan are PHYSICAL_ROW_END_DATE and LOGICAL_ROW_END_DATE. The values for RangeStartDate and RangeEndDate have to be a string representation of a date in yyyy-MM-dd format. The value for RangeStartSequence and RangeEndSequence must be strings such that when parsed they yield positive integers.
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Show Source
Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : contentZones-securityAssignments-item-response
Type: object
Show Source
Back to Top

Examples

This example describes how to create security assignments.

Example cURL Command

Use the following cURL command to submit a request on the REST resource.

curl -u username:password -X POST -H "Content-Type:application/vnd.oracle.adf.resourceitem+json" -d 'request payload' 
"https://servername/fscmRestApi/resources/version/contentZones/contentZonesUniqID/child/securityAssignments"

Example 1

Assign a worker to a content zone.

Example 1 Request Body

The following example includes the contents of the request body in JSON format to assign a worker to a content zone that's enabled for requisitioning usage and secured by workers. You replace the request payload in the cURL command with the contents of the Example Request Body. The request payload specifies attribute values that the command will use in the record that it updates.

{                    
    "WorkerEmail": "anita.jones@oracle.com"
}

Example 1 Response Body

The following example includes the contents of the response body in JSON format:

{
    "ContentZoneSecurityAssignmentId": 300100585323828,
    "ContentZoneId": 300100585274636,
    "RequisitioningBUId": null,
    "RequisitioningBU": null,
    "WorkerId": 300100554771090,
    "Worker": "jones, anita",
    "WorkerEmail": "anita.jones@oracle.com",
    "DeliverToLocationId": null,
    "DeliverToLocationCode": null,
    "DeliverToLocation": null,
    "CreatedBy": "CVBUYER01",
    "CreationDate": "2023-11-02T05:22:06+00:00",
    "LastUpdatedBy": "CVBUYER01",
    "LastUpdateDate": "2023-11-02T05:22:06.408+00:00",
    "links": [
        . . .
    ]
}

Example 2

Assign a requisitioning BU to a content zone.

Example 2 Request Body

The following example includes the contents of the request body in JSON format to assign a requisitioning BU to a content zone that's enabled for requisitioning usage and secured by requisitioning BUs. You replace the request payload in the cURL command with the contents of the Example Request Body. The request payload specifies attribute values that the command will use in the record that it updates.

{                    
    "RequisitioningBU": "Vision Italy"
}

Example 2 Response Body

The following example includes the contents of the response body in JSON format:

{
    "ContentZoneSecurityAssignmentId": 300100585359750,
    "ContentZoneId": 300100585360628,
    "RequisitioningBUId": 1017,
    "RequisitioningBU": "Vision Italy",
    "WorkerId": null,
    "Worker": null,
    "WorkerEmail": null,
    "DeliverToLocationId": null,
    "DeliverToLocationCode": null,
    "DeliverToLocation": null,
    "CreatedBy": "CVBUYER01",
    "CreationDate": "2023-11-02T05:34:25+00:00",
    "LastUpdatedBy": "CVBUYER01",
    "LastUpdateDate": "2023-11-02T05:34:25.333+00:00",
    "links": [
        . . .
    ]
}

Example 3

Assign a deliver-to location to a content zone.

Example 3 Request Body

The following example includes the contents of the request body in JSON format to assign a deliver-to location to a content zone that's enabled for requisitioning usage and secured by deliver-to location. You replace the request payload in the cURL command with the contents of the Example Request Body. The request payload specifies attribute values that the command will use in the record that it updates.

{                    
    "DeliverToLocationCode": "Liberty Island"
}

Example 3 Response Body

The following example includes the contents of the response body in JSON format:

{
  "ContentZoneSecurityAssignmentId": 300100586678205,
  "ContentZoneId": 300100586683296,
  "RequisitioningBUId": null,
  "RequisitioningBU": null,
  "WorkerId": null,
  "Worker": null,
  "WorkerEmail": null,
  "DeliverToLocationId": 300100554701236,
  "DeliverToLocationCode": "Liberty Island",
  "DeliverToLocation": "Liberty Island",
  "CreatedBy": "CVBUYER01",
  "CreationDate": "2024-02-07T14:39:59+05:30",
  "LastUpdatedBy": "CVBUYER01",
  "LastUpdateDate": "2024-02-07T14:39:59.989+05:30",
    "links": [
     . . .
     ]
}
Back to Top